export declare const enum SerializedItem {
    Min = -1,
    Int = 0,
    SimilarIntArray = 1,
    String = 2,
    Max = 3
}
export declare function serializeInt(num: bigint): Uint8Array;
export declare function deserializeInt(bytes: Uint8Array): {
    number: bigint;
    byteLength: number;
};
export declare function serializeSimilarIntArray(numbers: bigint[]): Uint8Array<ArrayBufferLike>;
export declare function deserializeSimilarIntArray(bytes: Uint8Array): {
    numbers: bigint[];
    byteLength: number;
};
export declare function serializeString(string: string): Uint8Array<ArrayBufferLike>;
export declare function deserializeString(bytes: Uint8Array): {
    string: string;
    byteLength: number;
};
export declare class ResizableUint8Array {
    private bytes;
    private _length;
    push(bytes: Uint8Array | number | number[]): void;
    unshift(bytes: Uint8Array | number | number[]): void;
    private addBytes;
    getBytesChunks(): readonly Uint8Array[];
    getBuffer(): Uint8Array;
    get length(): number;
}
